/*megamenu 1*/
.megamenuWrapper {
  float: left;
  overflow: hidden;
  width: 160px;
}
.megamenudropbtn span{
    text-overflow: ellipsis;
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
}
@media (max-width: 1025px){
   .megamenuWrapper {
    float: left;
    overflow: hidden;
    width: 12.5%;
  } 
  .megamenuL-content {
    width: 940px !important;
  }
}
@media (max-width: 941px){
   .megamenuWrapper {
    float: left;
    overflow: hidden;
    width: 16.66%;
  } 
  .megamenuL-content {
    width: 840px !important;
  }
}
@media (max-width: 841px){
   .megamenuWrapper {
    float: left;
    overflow: hidden;
    width: 16.66%;
  } 
  .megamenuL-content {
    width: 740px !important;
  }
}
@media (max-width: 741px){
   .megamenuWrapper {
    float: left;
    overflow: hidden;
    width: 16.66%;
  } 
  .megamenuL-content {
    width: 640px !important;
  }
}

.megamenuWrapper .megamenudropbtn {
  font-size: 14px !important;  
  border: none;
  outline: none;
  color: #000;
  /* padding: 14px 16px; */
  text-align: center;
  background-color: inherit;
  font: inherit;
  margin: 0;
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  align-content: center;
  align-items: center;
  justify-content: center;
}

.megamenuWrapper:hover .megamenudropbtn {
  background-color: white;
}

.megamenuL-content {
  display: none;
  position: absolute;
  background-color:#ffffff;
  width: 1140px;
  left: 0;
  box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
  z-index:111111;
}

.megamenuL-content a{
  color: black;
  display: block;
  font-size: 13px;
  text-align: left;
  text-transform: capitalize;
}
.megamenuL-content .b_heading{
  margin-bottom: 10px;
  margin-top: 20px;
  text-align: left;
}
.b_heading a{
  font-size: 14px;
  text-transform: capitalize;
}
.mt-m21{
  margin-top: -18px;
}
.megamenuL-content .nav-pills .nav-link.active, .megamenuL-content .nav-pills .show>.nav-link {
    padding: 8px 30px;
    color: #fff !important;
    background-color: #ffa000 !important;
    border-radius: 0;
    font-weight: 600;
}
.fs-13{
  font-size: 13px;
}

.megamenuL-content .nav-pills .nav-link {
    font-size:14px !important;
    padding: 8px 30px;
    background:#dfdfdf61 !important;
    background:#dfdfdf61 !important;
    border-radius: 0;
}

.megamenuL-content .header {
    background: white;
    padding: 16px;
    border: 1px solid #80808021;
    color: darkgray;
}

.megamenuWrapper:hover .megamenuL-content {
  display: block;
}

.megamenudropbtn img{
  display: block;
  margin: auto;
  width: 45px;
  /* height: 30px; */
  /* object-fit: cover; */
}
.menu_wrapper{
  width: 100%;
  background-color: #fff;
  text-align: center;
  margin: auto;
  position: relative;
  display: flex;
  flex-wrap: wrap;
  flex-direction: row;
  align-content: center;
  align-items: center;
  justify-content: center;
}
.menu_body{
  background-color: #fff;
}
/* ============================ start mega sub dropdown================================== */
.menu-icons{
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  align-content: center;
  justify-content: space-between;
  align-items: center;
}
.menu-icons1{
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  align-content: center;
  justify-content: flex-start;
  align-items: center;
}
.menu-icons1:hover{
background-color: #f7f7f7;
}
.dropdown-toggle::after {
  display: inline-block;
  margin-left: 0.255em;
  vertical-align: 0.255em;
  content: "";
  border-top: 0.3em solid;
  border-right: 0.3em solid transparent;
  border-bottom: 0;
  border-left: 0.3em solid transparent;
  display: none;
}
/* .menu-icons1 .dropdown-toggle::after {
  display: inline-block;
  margin-left: 0.255em;
  vertical-align: 0.255em;
  content: "";
  border-top: 0.3em solid;
  border-right: 0.3em solid transparent;
  border-bottom: 0;
  border-left: 0.3em solid transparent;
  display: none;
} */
.menu-icons1 a{
background: none;
color: #000 !important;
}
.list-drop-cus{
  padding: 0px 6px;
}
.list-drop-cus .dropdown-menu li a{
 background: #fff;
 color: #000 !important;
}
.menu-icons img{
  width: 30px;
  /* height: 40px; */
  image-rendering: -moz-crisp-edges;         /* Firefox */
image-rendering:   -o-crisp-edges;         /* Opera */
image-rendering: -webkit-optimize-contrast;/* Webkit (non-standard naming) */
image-rendering: crisp-edges;
-ms-interpolation-mode: nearest-neighbor;  /* IE (non-standard property) */
}
.menu-icons1 img{
  width: 38px;
  /* height: 40px; */
  image-rendering: -moz-crisp-edges;         /* Firefox */
image-rendering:   -o-crisp-edges;         /* Opera */
image-rendering: -webkit-optimize-contrast;/* Webkit (non-standard naming) */
image-rendering: crisp-edges;
-ms-interpolation-mode: nearest-neighbor;  /* IE (non-standard property) */
}
.mega-menu-custom .menu-area{
  background: #18566c;
  display: flex;
  background: #18566c;
  flex-direction: row;
  flex-wrap: wrap;
  align-content: center;
  justify-content: center;
  align-items: center;
}
.dropdown-tog-cus::before
{
display: none!important;
}
.mega-menu-custom .dropdown-menu{
  padding:0;
  margin:0;
  border:0 solid transition!important;
  border:0 solid rgba(0,0,0,.15);
  border-radius:0;
  -webkit-box-shadow:none!important;
  box-shadow:none!important
}
.mega-menu-custom.mainmenu a, .navbar-default .navbar-nav > li > a,.mega-menu-custom .mainmenu ul li a , .navbar-expand-lg .navbar-nav .nav-link{
  color:#fff;
  font-size:16px;
  text-transform:capitalize;
  padding:8px 8px;
  font-family:'Roboto',sans-serif;
  display: block !important;
}
.mega-menu-custom .mainmenu ul.sub-drop li a{
background: #fff;
color: #000;
}
.mega-menu-custom .mainmenu .active a,.mega-menu-custom .mainmenu .active a:focus,.mega-menu-custom .mainmenu .active a:hover,.mainmenu li a:hover,.mainmenu li a:focus ,.navbar-default .navbar-nav>.show>a, .navbar-default .navbar-nav>.show>a:focus, .navbar-default .navbar-nav>.show>a:hover{
  color: #fff;
  /* background: #4CAF50; */
  outline: 0;
}
/*==========Sub Menu=v==========*/
.mega-menu-custom .mainmenu .collapse ul > li:hover > a{
  background: #ffffff;
}
.mega-menu-custom .mainmenu .collapse ul ul > li:hover > a, .navbar-default .navbar-nav .show .dropdown-menu > li > a:focus, .navbar-default .navbar-nav .show .dropdown-menu > li > a:hover{
  background: #f7f7f7;
  color: #000;
}
.mega-menu-custom .mainmenu .collapse ul ul ul > li:hover > a{
  background: #f7f7f7;
}
.mega-menu-custom .mainmenu .collapse ul ul, .mega-menu-custom .mainmenu .collapse ul ul.dropdown-menu{
  background:#fff;
  padding: 10px;
}
.mega-menu-custom .mainmenu .collapse ul ul ul, .mega-menu-custom .mainmenu .collapse ul ul ul.dropdown-menu{
  background:#fff;
}
.mega-menu-custom .mainmenu .collapse ul ul ul ul, .mega-menu-custom .mainmenu .collapse ul ul ul ul.dropdown-menu{
  background:#64B5F6;
}
/******************************Drop-down menu work on hover**********************************/
.mega-menu-custom .mainmenu{
  background: none;
  border: 0 solid;
  margin: 0;
  padding: 0;
  min-height:20px;
  width: 100%;
}
@media only screen and (min-width: 767px) {
   .mega-menu-custom .mainmenu .collapse ul li:hover> ul{
      display:block
  }
   .mega-menu-custom .mainmenu .collapse ul ul{
      position:absolute;
      top:100%;
      left:0;
      min-width:200px;
      display:none
  }
  /*******/
   .mega-menu-custom .mainmenu .collapse ul ul li{
      position:relative
  }
   .mega-menu-custom .mainmenu .collapse ul ul li:hover> ul{
      display:block
  }
   .mega-menu-custom .mainmenu .collapse ul ul ul{
      position:absolute;
      top:0;
      left:100%;
      min-width:250px;
      display:none
  }
  /*******/
   .mega-menu-custom .mainmenu .collapse ul ul ul li{
      position:relative
  }
   .mega-menu-custom .mainmenu .collapse ul ul ul li:hover ul{
      display:block
  }
   .mega-menu-custom .mainmenu .collapse ul ul ul ul{
      position:absolute;
      top:0;
      left:-100%;
      min-width:250px;
      display:none;
      z-index:1
  }
}
@media only screen and (max-width: 767px) {
   .mega-menu-custom .navbar-nav .show .dropdown-menu .dropdown-menu > li > a{
      padding:16px 15px 16px 35px
  }
   .mega-menu-custom .navbar-nav .show .dropdown-menu .dropdown-menu .dropdown-menu > li > a{
      padding:16px 15px 16px 45px
  }
}
